=== test/Makefile ===
# Makefile to clean created test files and archive files

default:

clean:
	rm -f T-* vmodem0

clobber: clean
	rm -f *.zip *.tar.gz *.tgz

distclean: clobber
