=== debian/changelog ===
ncid (0.83-0ubuntu1) 11.04; urgency=low

  * See NCID CHANGES file
  * removed ncid-tivo.1 from rules
  * added ncid-skel to rules

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Tue,  2 Aug 2011 23:27:00:00 -0400

ncid (0.82.1-0ubuntu1) 11.04; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Fri,  6 Jun 2011 13:07:00:00 -0400

ncid (0.81-0ubuntu1) 10.04; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Sat,  26 Feb 2011 10:41:00:00 -0400

ncid (0.80-0ubuntu1) 10.04; urgency=low

  * See NCID CHANGES file
  * changed Requires: and added Recommends: for ncid-client in control

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Sun,  10 Oct 2010 23:18:00:00 -0400

ncid (0.79-0ubuntu1) 10.04; urgency=low

  * See NCID CHANGES file
  * added ncid2ncid.init file and ncid2ncid.init to rules

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Thu,  1 Jul 2010 20:26:00:00 -0400

ncid (0.78-0ubuntu1) 10.04; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Fri,  14 May 2010 13:16:00:00 -0400

ncid (0.77-0ubuntu1) Karmic Koala; urgency=low

  * See NCID CHANGES file
  * removed postrm-kpopup and prerm-kpopup
  * removed ncid-kpopup.init file, and ncid-kpopup.init from rules
  * removed prerm-ncid-kpopup file, and postrm-ncid-kpopup from rules
  * added ncid-initmodem.init files, and ncid-initmodem.init to rules
  * added ncid-initmodem to postrm-client and prerm-client

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Thu,  25 Mar 2010 23:20:00 -0400

ncid (0.76-0ubuntu1) Karmic Koala; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Sat,  23 Jan 2010 21:41:00 -0400

ncid (0.75-0ubuntu1) Jaunty Jackalope; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Sat,  12 Sep 2009 18:01:00 -0400

ncid (0.74-0ubuntu1) Jaunty Jackalope; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Fri,  19 Jun 2009 16:20:00 -0400

ncid (0.73-0ubuntu1) Hardy Heron; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Tue,  3 Feb 2009 18:31:00 -0400

ncid (0.72-0ubuntu1) Hardy Heron; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Thu,  20 Nov 2008 22:56:14 -0400

ncid (0.71-0ubuntu1) Hardy Heron; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Mon,  2 Jun 2008 19:04:23 -0400

ncid (0.70-0ubuntu1) Feisty; urgency=low

  * See NCID CHANGES file

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Thu,  14 Feb 2008 13:33:23 -0400

ncid (0.69-0ubuntu1) Feisty; urgency=low

  * Initial Release.

 -- John L. Chmielewski <jlc@users.sourceforge.net>  Tue,  9 Oct 2007 11:37:23 -0400
